// -*-C++-*-
/*!
 * @file  RobotSensorDataManagerSVC_impl.h
 * @brief Service implementation header of RobotSensorDataManager.idl
 *
 * @author East Japan Accounting Center Co.,Ltd.
 *
 * (c)2017 The University of Aizu
 * This software is released under the New BSD License.
 *
 */

#include "RobotSensorDataManagerSkel.h"
#include "VersatileOverheadSystem.h"

#ifndef ROBOTSENSORDATAMANAGERSVC_IMPL_H
#define ROBOTSENSORDATAMANAGERSVC_IMPL_H
 
/*!
 * @class SensorDataOutputSelectSVC_impl
 * Example class implementing IDL interface SensorDataManagerReqServ::SensorDataOutputSelect
 */
class SensorDataOutputSelectSVC_impl
 : public virtual POA_SensorDataManagerReqServ::SensorDataOutputSelect,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~SensorDataOutputSelectSVC_impl();
	 unsigned long m_ulSensorOutRobotSel;

 public:
  /*!
   * @brief standard constructor
   */
   SensorDataOutputSelectSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~SensorDataOutputSelectSVC_impl();

   // attributes and operations
   CORBA::UShort usSetSensorDataOutputSelect(CORBA::ULong ulOutSel);
   void GetSensorDataOutputSelect(CORBA::ULong& ulOutSel);
   void initSensorDataOutputSelect(void);

};



#endif // ROBOTSENSORDATAMANAGERSVC_IMPL_H


