// -*-C++-*-
/*!
 * @file  RobotSensorDataManagerSVC_impl.cpp
 * @brief Service implementation code of RobotSensorDataManager.idl
 *
 * @author East Japan Accounting Center Co.,Ltd.
 *
 * (c)2017 The University of Aizu
 * This software is released under the New BSD License.
 *
 */

#include "RobotSensorDataManagerSVC_impl.h"

/*
 * Example implementational code for IDL interface SensorDataManagerReqServ::SensorDataOutputSelect
 */
SensorDataOutputSelectSVC_impl::SensorDataOutputSelectSVC_impl()
{
	m_ulSensorOutRobotSel = ROBOT_SEL_OFF;
}


SensorDataOutputSelectSVC_impl::~SensorDataOutputSelectSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
CORBA::UShort SensorDataOutputSelectSVC_impl::usSetSensorDataOutputSelect(CORBA::ULong ulOutSel)
{
	m_ulSensorOutRobotSel = ulOutSel;
	return RESULT_ACK;
}

void SensorDataOutputSelectSVC_impl::GetSensorDataOutputSelect(CORBA::ULong& ulOutSel)
{
	if(&ulOutSel != NULL){
		ulOutSel = m_ulSensorOutRobotSel;
	}
}

void SensorDataOutputSelectSVC_impl::initSensorDataOutputSelect(void)
{
	m_ulSensorOutRobotSel = ROBOT_SEL_OFF;
}

// End of example implementational code



